:root {
    --bg-dark: #1D2F30;
    --bg-light: #5b6768;
    --bg-contrast: #0b1919;
    --color-contrast: #bae249;
    --color: #899d9d;
}
@font-face {
    font-family: 'OpenSans';
    src: url(../fonts/OpenSans-Regular.woff2) format(woff2),
        url(../fonts/OpenSans-Regular.ttf) format(ttf);
    font-weight: 400;
    font-style: normal;

}

/* ********** General ********** */

body, h1, h2, p {margin: 0; padding: 0;}
body, html {
    height: 100%;
}
body {
    min-width: 320px;
    font-size: 16px;
    font-family: "OpenSans", serif;
    line-height: 26px;
}
main {
    flex: 1 1 auto;
}
.wrapper {
    min-height: 100%;
    display: flex;
    flex-direction: column; 
}
img {
    width: 100%;
    height: auto;
}

/* ********** /General ********** */

/* ********** Header ********** */

.header {
    background-color: var(--bg-dark);
    text-align: right;
}
.header h1 {
    padding: 10px 20px;
}
.header h1 {
    font-size: 20px;
    color: var(--color-contrast);
}

/* ********** /Header ********** */

/* ********** Main ********** */

.video {
    background-color: var(--bg-light);
    padding: 50px 0;
}
.prew {
    background-color: var(--bg-contrast);
    padding: 20px;
}
.prew .title {
    padding-bottom: 20px;
}
.title h2 {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.title h2 {
    color: var(--color-contrast);
}
.title h2 a {
    color: var(--color-contrast);
    text-decoration: none;
    transition: all .3s;
}
.title h2 a:hover {
    text-shadow: 1px 1px 5px #fff;
}
.vid-info {
    display: flex;
    justify-content: space-between;
    color: var(--color);
    padding-top: 20px;
}
.quality span {
    color: #f00;
}
.toplist {
    background-color: var(--bg-dark);
}
.item-list {
    display: flex;
    margin: 10px 0;
    vertical-align: center;
    text-transform: capitalize;
}
.icon-list {
    color: #f00;
}
.linck-list a {
    margin-left: 10px;
    background-image: linear-gradient(to right,
                var(--color),
                var(--color) 50%,
                var(--color-contrast) 50%);
    background-size: 200% 100%;
    background-position: -100%;
    padding: 5px 0;
    position: relative;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    transition: all 0.3s ease-in-out;
}

.linck-list a::before{
    content: '';
    background: var(--color-contrast);
    display: block;
    position: absolute;
    bottom: -3px;
    left: 0;
    width: 0;
    height: 3px;
    transition: all 0.3s ease-in-out;
}
.linck-list a:hover {
    background-position: 0;
}
.linck-list a:hover::before {
    width: 100%;
}

/* ********** /Main ********** */

/* ********** Footer ********** */

.footer {
    text-align: center;
}
.footer-top {
    background-color: var(--bg-contrast);
    font-size: 24px;
    color: var(--color);
    padding: 10px 0;
}
.footer-top p a {
    color: var(--color);
    text-decoration: none;
    transition: all .3s;
}
.footer-top p a:hover {
    color: var(--color-contrast);
}
.footer-bottom {
    background-color: #1d2f30;
    color: var(--color);
    font-size: 16px;
}

/* ********** /Footer ********** */

/* ********** Video Page ********** */

.header a {
    text-decoration: none;
    color: var(--color-contrast);
    transition: all .3s;
}
.header a:hover {
    text-shadow: 1px 1px 5px #fff;
}

/* ********** /Video Page ********** */

/* ********** Signup Page ********** */

.mail-form {
    margin-top: 30px;
}
.info-mess {
    background-color: #00FA9A;
    margin-top: 30px;
    padding: 30px;
    border-radius: 5px;
}
.info-mess p{
    border-bottom: 1px solid var(--bg-dark);
}
.info-mess p span {
    display: inline-block;
    width: 100px;
}
.btn-primary {
    transition: .3s;
    background-size: 200% auto;
    color: #1D2F30;
    box-shadow: 0 0 20px #eee;
    border-radius: 0;
    border: 1px solid #1d2f30;
    background-image: linear-gradient(to right, #03c500 0%, #0bf6bf 51%, #00c52b 100%);
}
.btn-primary:hover {
    background-position: right center;
    color: #1D2F30;

}

/* ********** /Signup Page ********** */